opj_tile_v2_info Struct Reference

Tile coding parameters information. More...

`#include <openjpeg.h>`

## Data Fields

int | tileno
| number (index) of tile
OPJ_UINT32 | csty
| coding style
OPJ_PROG_ORDER | prg
| progression order
OPJ_UINT32 | numlayers
| number of layers
OPJ_UINT32 | mct
| multi-component transform identifier
opj_tccp_info_t * | tccp_info
| information concerning tile component parameters

## Detailed Description

Tile coding parameters information.

## Field Documentation

## csty

OPJ_UINT32 opj_tile_v2_info::csty

coding style

Referenced by j2k_get_cstr_info().

## mct

OPJ_UINT32 opj_tile_v2_info::mct

multi-component transform identifier

Referenced by j2k_get_cstr_info().

## numlayers

OPJ_UINT32 opj_tile_v2_info::numlayers

number of layers

Referenced by j2k_get_cstr_info().

## prg

OPJ_PROG_ORDER opj_tile_v2_info::prg

progression order

Referenced by j2k_get_cstr_info().

## tccp_info

opj_tccp_info_t* opj_tile_v2_info::tccp_info

information concerning tile component parameters

Referenced by j2k_get_cstr_info().

## tileno

int opj_tile_v2_info::tileno

number (index) of tile

The documentation for this struct was generated from the following file:

- openjpeg.h